import 'package:nui_database/models/nui_database_entity_mapper.dart';
import 'package:nui_database/models/nui_database_model.dart';
import 'package:nui_database/nui_database.dart';
import 'nui_error_models.dart';

class NUIErrorHandlerDatabase extends NUIDatabaseModel{
  static const String name = "nuierrorhandler.db";
  static NUIDatabase get(){
    return NUIDatabase.get(name);
  }

  String databaseName() => name;

  List<NUIDBEntityMapper> entities() => [
    NUIErrorLogEntity(),
    NUIErrorMappingEntity()
  ];
}